Cómo arreglar error de JAVA en SIAPE, solución definitiva

04 jul

Por: Max Bidart

Nuevamente la actualización automática de Java ha dejado obsoleta la solución para el SIAPE que había escrito anteriormente, que corregía el error de inicio con el famoso cartel “FRM-92095: Versión de Oracle JInitiator demasiado baja. Instale la versión 1.1.8.2 o superior“.

El problema es que el SIAPE utiliza para funcionar la tencología Oracle Forms y resulta que no es compatible con Java Runtime Environment 7 (JRE 7). Poniendolo en criollo, el SIAPE no anda con la última versión del plugin de JAVA, entonces ya que hubo que buscar una solución para varios amigos, supuse que quizás le sirva a alguien más.

Básicamente lo que hay que hacer es un Downgrade de JAVA, o sea bajar de versión, lo cual en principio requiere saber “de dónde sacar la versión antigua” del pícaro plugin. El archivo en cuestión se encuentra en el repositorio de Oracle.com, para descargarlo deben crearse una cuenta y bucear entre los archivos históricos o bien bajarlo de los archivos que pongo a disposición a continuación, elijan cuál descargar según su sistema operativo (32 o 64 bits):

Aquí va el tutorial en 3 pasos:

1. Desisntalar JRE Versión 7 Usualmente, yendo a “Inicio” luego ir al “Panel de Control” y finalmente clickeando en el ícono “Programas y características”. Una vez dentro del listado de programas, seleccionan “JAVA” y con click derecho “Desinstalar”.

Inicio / Panel de Control / Programas y Caracteristicas

Inicio / Panel de Control / Programas y Caracteristicas

2. Luego de haber quitado JRE 7, instalar la última versión de JRE 6 Standard Edition (los links que puse arriba). Le dan doble click al archivo descargado para que comience su instalación.

Nota. Una vez instalado, deshabilitar las actualizaciones automáticas nuevamente yendo a “Inicio”, “Panel de control”, haciendo click en el ícono de JAVA aparecerá un panel del propio plugin, y yendo a la solapa “Avanzado”, buscar la opción “Descarga automática de JRE” y tildar “Nunca descargar automáticamente” (para que no se nos vuelva a romper el SIAPE con JRE 7)

Nunca descargar automáticamente JRE

Nunca descargar automáticamente JRE

3. Borrar “el caché” del navegador (ctrl+shift+delete). Cerrar el navegador, y volver a abrirlo para ingresar al SIAPE.

Probé esta solución en un Windows7 de 32 bits y en otro de 64 bits en ambos casos sin inconvenientes. Por otra parte también comprobé que la solución funcionara en 3 navegadores distintos, aunque esto último en todos los casos se comportó diferente luego de la instalación:

En Chrome, luego de la instalación SIAPE arrancó perfectamente (recomiendo este navegador, además porque es super rápido)

En Firefox, adicionalmente solicitó la instalacion del complemento Java Console 6.0.45, le di ok y luego el SIAPE arrancó sin problemas.

En Internet Explorer, salió un alerta amarillita “Este sitio web desea ejecutar el siguiente complemento: “JAva(TM) SE Runtime Enviroment 6 Update 45″ de “Sun Microsystems, Inc.” Si confía en el sitio web y en el complemento y desea permitir su ejecuciónn, haga clic aquí… Le di click y luego dice, Ejecutar complemento… y SIAPE arrancó.

Espero les sirva!!

Quizás también te interese:

Cómo arreglar error en SIAPE: "FRM-92095: Versión de Oracle JInitiator demasiado baja. Instale ...
Cómo arreglar error de JAVA en SIAPE, solución definitiva
1 vote, 5.00 avg. rating (83% score)
  • 6739

Escrito por:

Director Creativo de QKStudio. Diseñador en Comunicación Visual (UNLP) con amplia experiencia en el desarrollo de interfarces de software y diseño web. Socio fundador de QKStudio, empresa dedicada desde 2004 al diseño y desarrollo de aplicaciones para Internet.

Twitter:@maxbidart

Si te gustó la nota, dejanos tus comentarios...

Newsletter

Loading...Loading...